net.dontdrinkandroot.visualization.layout.graph

## Class ForceLayout<V,E>

- java.lang.Object
- - net.dontdrinkandroot.visualization.layout.AbstractLayout<edu.uci.ics.jung.graph.Graph<V,E>>
  - - net.dontdrinkandroot.visualization.layout.graph.ForceLayout<V,E>

All Implemented Interfaces:
  Layout<edu.uci.ics.jung.graph.Graph<V,E>>

    public class ForceLayout<V,E>
    extends AbstractLayout<edu.uci.ics.jung.graph.Graph<V,E>>

### Field Summary

### Fields inherited from class net.dontdrinkandroot.visualization.layout.AbstractLayout

`desiredBounds, layouted`

### Constructor Summary

Constructors
Constructor and Description
`ForceLayout(edu.uci.ics.jung.graph.Graph<V,E> g, org.apache.commons.collections15.Transformer<V,VisualItem> vertexTransformer)`

### Method Summary

Methods
`EdgeRouter<V,E>` `getEdgeRouter()`
`ItemPlacement` `getOverlapRemovalPlacement()`
`VertexPlacement<V,E>` `getSpringElectricalPlacement()`
`void` `layout()`
`void` `render(Graphics2D g2d)`
`void` `setEdgeRouter(EdgeRouter<V,E> edgeRouter)`
`void` `setOverlapRemovalPlacement(ItemPlacement overlapRemovalPlacement)`
`void` `setSpringElectricalPlacement(VertexPlacement<V,E> springElectricalPlacement)`

### Methods inherited from class net.dontdrinkandroot.visualization.layout.AbstractLayout

`getBounds, isLayouted, setlayouted`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ForceLayout

    public ForceLayout(edu.uci.ics.jung.graph.Graph<V,E> g,
               org.apache.commons.collections15.Transformer<V,VisualItem> vertexTransformer)

### Method Detail

#### setOverlapRemovalPlacement

    public void setOverlapRemovalPlacement(ItemPlacement overlapRemovalPlacement)

#### getOverlapRemovalPlacement

    public ItemPlacement getOverlapRemovalPlacement()

#### setSpringElectricalPlacement

    public void setSpringElectricalPlacement(VertexPlacement<V,E> springElectricalPlacement)

#### getSpringElectricalPlacement

    public VertexPlacement<V,E> getSpringElectricalPlacement()

#### layout

    public final void layout()
                      throws LayoutException

Throws:
  `LayoutException`

#### setEdgeRouter

    public void setEdgeRouter(EdgeRouter<V,E> edgeRouter)

#### render

    public final void render(Graphics2D g2d)

#### getEdgeRouter

    public final EdgeRouter<V,E> getEdgeRouter()